phreg.fit {eha} | R Documentation

## Parametric proportional hazards regression

### Description

This function is called by `phreg`, but it can also be directly called by a user.

### Usage

    phreg.fit(X, Y, dist, strata, offset, init, shape, control, center = NULL)

### Arguments

`X` | The design (covariate) matrix.
`Y` | A survival object, the response.
`dist` | Which baseline distribution?
`strata` | A stratum variable.
`offset` | Offset.
`init` | Initial regression parameter values.
`shape` | If positive, a fixed value of the shape parameter in the distribution. Otherwise, the shape is estimated.
`control` | Controls convergence and output.
`center` | Deprecated (not used). Kept for backward copability. Results are reported as is, no centering.

### Details

See `phreg` for more detail.

### Value

`coefficients` | Estimated regression coefficients plus estimated scale and shape coefficients, sorted by strata, if present.
`var` | Variance-covariance matrix
`loglik` | Vector of length 2. The first component is the maximized loglihood with only scale and shape in the model, the second the final maximum.
`score` | Score test statistic at initial values
`linear.predictors` | Linear predictors for each interval.
`means` | Means of the covariates
`conver` | TRUE if convergence
`fail` | TRUE if failure
`iter` | Number of Newton-Raphson iterates.
`n.strata` | The number of strata in the data.

### Author(s)

Göran Broström

### See Also

`phreg`

[Package eha version 2.6.0 Index]